Subject: Re: [dispatch] Proposed/draft charter for "mediaman"

From: Mark Nottingham <[email-masked]>
Date: Tue, 8 Jun 2021 14:30:53 +1000

On 4 Jun 2021, at 1:21 am, Murray S. Kucherawy <[email-masked]> wrote:
> 
>> While I don't have a problem with doing this if IANA doesn't, and if it makes
>> things easier for IANA so much the better, I am dubious that this actually
>> solves the problems people have with registering media types.
>> 
>> The complaints I've heard about the media type registration process concern the
>> lack of guidance as to how to fill in the various fields. I took a look at the
>> two examples, and I don't see how using what appears to be a completely free
>> form interface will address that.
>> 
>> At a minimum some justification needs to be given as to why this approach
>> will be an improvement.
>> 
> There were two proponents for adding this to the charter, so I'll let them pipe up here.

The interfaces aren't freeform; if you create an issue, you'll see it uses a template to fill out. Furthermore, the README of each repo provides guidance.

Stepping back, though, I think the bigger question here is whether the registry policies are still fit for purpose. Right now, a URI scheme can be registered provisionally on a FCFS basis, and those schemes are not syntactically distinguished from permanent schemes. OTOH, media types do syntactically distinguish standards-track registrations from others, and places several additional hurdles in the place of those registrations (which by far are the most desirable).

This difference in policies is strikingly odd, and seemingly arbitrary. It would be good to understand why there is a difference, and whether it's still justifiable. 

If the community comes to an understanding that the barriers to registration are appropriate, the current procedures are likely adequate (although it'd be good to get feedback from other standards bodies). However, if they're to be changed, the registration procedure would need consideration too.

With that in mind, I suggest replacing the bullet about GitHub with:

* Evaluate the registry policies and procedures in the context of how media types are currently used, and modify them if necessary.

Cheers,

--
Mark Nottingham   https://www.mnot.net/